diff -urN qpopper4.0.5-installed/popper/pop_config.c qpopper4.0.5/popper/pop_config.c
--- qpopper4.0.5-installed/popper/pop_config.c	Tue Jan 27 14:26:31 2004
+++ qpopper4.0.5/popper/pop_config.c	Tue Jan 27 16:07:25 2004
@@ -242,6 +242,7 @@
     kPOPPER_IMPL,           /*    (no flag)     */
     kPOPPER_BANNER_VER,     /*    (no flag)     */
     kPOPPER_BANNER,         /*    (no flag)     */
+    kLOG_LEVEL,             /*    (no flag)     */
   
 
 
@@ -328,6 +329,7 @@
     { "popper-banner"                , CfgStr  , CfgInit   , kPOPPER_BANNER      },
     { "popper-implementation"        , CfgStr  , CfgInit   , kPOPPER_IMPL        },
     { "popper-banner-version"        , CfgStr  , CfgInit   , kPOPPER_BANNER_VER  },
+    { "log-level"                    , CfgMnem , CfgResNone, kLOG_LEVEL          },
     
     { NULL                           , CfgBad  , CfgResNone, LAST_OPT_VAL        }
 };
@@ -421,7 +423,18 @@
 
     { NULL              , PopLogMail            }
 };
+
+static mnemonic_map mnem_map_log_level [] =
+{
     
+    { "priority"        , POP_NOTICE            },
+    { "warning"         , POP_WARNING           },
+    { "notice"          , POP_NOTICE            },
+    { "info"            , POP_INFO              },
+    { "debug"           , POP_DEBUG             },
+
+    { NULL              ,                       }
+};
 
 /*
  * Map each option to its specific table
@@ -433,8 +446,9 @@
     { kTLS_VERSION      , mnem_map_tls_vers       },
     { kCHUNKY_WRITES    , mnem_map_chunky_writes  },
     { kLOG_FACILITY     , mnem_map_log_facility   },
+    { kLOG_LEVEL        , mnem_map_log_level      },
 
-    { -1                , NULL                     }
+    { -1                , NULL                    }
 };
 
 
@@ -951,6 +965,7 @@
 	case kPOPPER_BANNER_VER:   R__PTR ( &p->pPopper_Banner_V);
         case kPOPPER_IMPL:         R__PTR ( &p->pPopper_Impl);
 #endif /* LOCALSTRINGS */			
+	case kLOG_LEVEL:           R__MNM ( &p->pLog_Level );
   
 
         default:                   R__PTR ( NULL );
diff -urN qpopper4.0.5-installed/popper/pop_log.c qpopper4.0.5/popper/pop_log.c
--- qpopper4.0.5-installed/popper/pop_log.c	Tue Jan 27 14:26:31 2004
+++ qpopper4.0.5/popper/pop_log.c	Tue Jan 27 15:59:17 2004
@@ -142,7 +142,8 @@
         fflush  ( p->trace );
     }
     else {
-        syslog ( (int) loglev, "%s", msgbuf );
+	if(!p || p->debug || !p->pLog_Level || p->pLog_Level >= loglev || !loglev ) 	
+           syslog ( (int) loglev, "%s", msgbuf );
     }
     
     if ( iChunk == -1 ) {
diff -urN qpopper4.0.5-installed/popper/popper.h qpopper4.0.5/popper/popper.h
--- qpopper4.0.5-installed/popper/popper.h	Tue Jan 27 14:26:31 2004
+++ qpopper4.0.5/popper/popper.h	Tue Jan 27 16:06:38 2004
@@ -710,6 +710,7 @@
     char               *pPopper_Banner;         /* popper-banner option, banner string */
     char               *pPopper_Banner_V;       /* popper-banner-version, displaying version in banner */
 #endif /* LOCALSTRINGS */   
+    log_level           pLog_Level;             /* which loglevels get logged when not in debug mode*/
 
 };
 
